<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>DP Real Estate</title>

  <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css">

  <!-- Các file css tự định nghĩa thêm -->
  <link rel="stylesheet" href="style.css">
  <!-- Các file css tự định nghĩa thêm -->
  <link rel="stylesheet" href="style.css">
  <link href="assets/vendor/animate.css/animate.min.css" rel="stylesheet">
  <link href="assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
  <link href="assets/vendor/bootstrap-icons/bootstrap-icons.css" rel="stylesheet">
  <link href="assets/vendor/swiper/swiper-bundle.min.css" rel="stylesheet">
</head>

<body id="page-top">
 
  <!-- Navigation - Menu bar-->
  <nav class="navbar navbar-expand-lg navbar-light fixed-top" id="mainNav">
    <a class="nav-link text-white font-weight-bold px-4 to-slideshow-example" id= "home" href="#">HOME</a>
    <div class="container">
      <input type="checkbox" id="check">
      <label for="check">
        <i class="fas fa-bars" id="menu-bar-click"></i>
        <i class="fas fa-times" id="menu-bar-cancel"></i>
      </label>
      <ul class="navbar-nav ml-auto">
        <li class="nav-item pt-1 align-self-center">
          <a class="nav-link text-white font-weight-bold px-4 to-property-content" href="#">Project</a>
        </li>
        <li class="nav-item pt-1 align-self-center">
          <a class="nav-link text-white font-weight-bold px-4 to-new-post" href="#">News</a>
        </li>
        <li class="nav-item pt-1 align-self-center"><a class="nav-link text-white font-weight-bold px-4 to-utility"
            href="#">Utilities</a></li>
        <li class="nav-item pt-1 align-self-center"><a class="nav-link text-white font-weight-bold px-4 to-contact-us"
            href="#">Contact</a>
        </li>
    
        <li class="nav-item dropdown pt-1 align-self-center">
          <a class="nav-link px-4" data-toggle="dropdown">
            <span class="fa-stack fa-1x pl-2">
              <i class="fas fa-circle fa-stack-2x icon-background"></i>
              <i class="fa-solid fa-user fa-stack-1x"></i>
              <p class="ml-5" style="color:white ;font-family:Times New   ;" id="ten-dang-nhap"></p>
            </span>
            <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
              <div class="text-center mt-1">
                <button class="btn btn-primary" id="btn-log-in"><i class="fa-solid fa-right-to-bracket"></i> Log
                  in</button>
                  <p id="ten-dang-nhap"></p>
              </div>
              <div class="text-center mt-1">
                <button class="btn btn-danger" id="btn-log-out"><i class="fa-solid fa-right-from-bracket"></i> Log
                  out</button>
              </div>
            </div>
          </a>
        </li>
      </ul>
    </div>
  </nav>
 
  <header class="header">
    <div class="overlay">
        <h1 class="subtitle">Estate</h1>
        <h1 class="title">Agency</h1>  
    </div>  
    <div class="shape">
        <svg viewBox="0 0 1500 200">
            <path d="m 0,240 h 1500.4828 v -71.92164 c 0,0 -286.2763,-81.79324 -743.19024,-81.79324 C 300.37862,86.28512 0,168.07836 0,168.07836 Z"/>
        </svg>
    </div>  
    <div class="mouse-icon"><div class="wheel"></div></div>
  </header>
 

  <!-- 3. Property content -->
  <div class="container-fluid mb-5 paddding-navbar" id="property-content">
    <div class="container py-5">
      <div class="text-center mb-5">
        <h2 class="title-text-color mb-4">Detail Department</h2>
        <div class="row form-group">
          <div class="col-sm-6">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Thuộc dự án</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-project" type="text" class="form-control" disabled>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Khách hàng</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-customer" type="text" class="form-control" disabled>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Mã căn hộ</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-apartCode" type="text" class="form-control" disabled>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Địa chỉ</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-address" type="text" class="form-control" disabled>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Tỉnh thành</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-province" type="text" class="form-control" disabled>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Quận huyện</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-district" type="text" class="form-control" disabled>
              </div>
            </div>
          </div>
          <div class="col-sm-6">
            <img id="detail-img-realEstate" width="100%">
          </div>
        </div>
        <div class="row form-group">
          <div class="col-sm-6">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Diện tích BĐS</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-acreage" type="text" class="form-control" disabled>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Mô tả chi tiết</h5>
              </div>
              <div class="col-md-8 form-group">
                <textarea id="detail-inp-description" type="text" rows="4" class="form-control" disabled></textarea>
              </div>
            </div>
          </div>
          <div class="col-sm-6">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Số phòng ngủ</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-bedroom" type="text" class="form-control" disabled>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Số phòng tắm</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-bath" type="text" class="form-control" disabled>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Giá bán</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-price" type="text" class="form-control" disabled>
              </div>
            </div>
          </div>
        </div>

      </div>
    </div>
  </div>


 <!-- 3. beryupside -->
  
 <section class="section-services section-t8" id="utility">
  <div class="container">
    <div class="row">
      <div class="col-md-12">
        <div class="title-wrap d-flex justify-content-between">
          <div class="title-box">
            <h2 class="title-a">Our Services</h2>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-md-4">
        <div class="card-box-c foo">
          <div class="card-header-c d-flex">
            <div class="card-box-ico">
              <span class="bi bi-cart"></span>
            </div>
            <div class="card-title-c align-self-center">
              <h2 class="title-c">Lifestyle</h2>
            </div>
          </div>
          <div class="card-body-c">
            <p class="content-c">
              Sed porttitor lectus nibh. Cras ultricies ligula sed magna dictum porta. Praesent sapien massa,
              convallis a pellentesque
              nec, egestas non nisi.
            </p>
          </div>
          <div class="card-footer-c">
            <a href="#" class="link-c link-icon">Read more
              <span class="bi bi-chevron-right"></span>
            </a>
          </div>
        </div>
      </div>
      <div class="col-md-4">
        <div class="card-box-c foo">
          <div class="card-header-c d-flex">
            <div class="card-box-ico">
              <span class="bi bi-calendar4-week"></span>
            </div>
            <div class="card-title-c align-self-center">
              <h2 class="title-c">Loans</h2>
            </div>
          </div>
          <div class="card-body-c">
            <p class="content-c">
              Nulla porttitor accumsan tincidunt. Curabitur aliquet quam id dui posuere blandit. Mauris blandit
              aliquet elit, eget tincidunt
              nibh pulvinar a.
            </p>
          </div>
          <div class="card-footer-c">
            <a href="#" class="link-c link-icon">Read more
              <span class="bi bi-calendar4-week"></span>
            </a>
          </div>
        </div>
      </div>
      <div class="col-md-4">
        <div class="card-box-c foo">
          <div class="card-header-c d-flex">
            <div class="card-box-ico">
              <span class="bi bi-card-checklist"></span>
            </div>
            <div class="card-title-c align-self-center">
              <h2 class="title-c">Sell</h2>
            </div>
          </div>
          <div class="card-body-c">
            <p class="content-c">
              Sed porttitor lectus nibh. Cras ultricies ligula sed magna dictum porta. Praesent sapien massa,
              convallis a pellentesque
              nec, egestas non nisi.
            </p>
          </div>
          <div class="card-footer-c">
            <a href="#" class="link-c link-icon">Read more
              <span class="bi bi-chevron-right"></span>
            </a>
          </div>
        </div>
      </div>
    </div>
  </div>
</section><!-- End Services Section -->

<!-- 4. Tiện ích -->

<!-- Slideshow body -->
<div id="slideshow-example" data-component="slideshow" class="header-slideshow">
<div role="list">
  <div class="slide">
    <img src="images/phumyhung-img1.jpg" width="100%" alt="">
  </div>
  <div class="slide">
    <img src="images/landmark-81.jpg" width="100%" alt="">
  </div>
  <div class="slide">
    <img src="images/asiana capella.jpg" width="100%" alt="">
  </div>
  <div class="slide">
    <img src="images/home4.jpg" width="100%" alt="">
  </div>
  <div class="slide">
    <img src="images/home5.jpg" width="100%" alt="">
  </div>
</div>
</div>


<!-- 5. Contact us -->
<section id="contact-us" class="section has-img-bg pb-0 ">
      <div class="container">
          <div class="row align-items-center">
              <div class="col-md-5 my-3">
                <h5 class="mt-2 ml-3">Follow us:</h5>
                <a class="mx-2 mt-2 ml-3" href="#"><i class="fab fa-twitter"></i></a>
                <a class="mx-2 mt-2 ml-3" href="#"><i class="fab fa-facebook-f"></i></a>
                <a class="mx-2 mt-2 ml-3" href="#"><i class="text-danger fa-brands fa-youtube"></i></a>
                <a class="mx-2 mt-2 ml-3" href="#"><i class="fa-brands fa-snapchat"></i></i></a>
                <a class="mx-2 mt-2 ml-3" href="#"><i class="fa-brands fa-instagram"></i></i></a>
              </div>
              <div class="col-md-7">
                      <h4 class="mb-4">Drop Us A Line</h4>
                      <div class="form-row">
                          <div class="form-group col-sm-4">
                              <input id="inp-contract-name" type="text" class="form-control text-white" name="name" placeholder="Full Name">
                          </div>
                          <div class="form-group col-sm-4">
                              <input id="inp-contract-email" type="email" class="form-control text-white" name="Email" placeholder="Email">
                          </div>
                          <div class="form-group col-sm-4">
                              <input id="inp-contract-phone" type="number" class="form-control text-white" name="phone" placeholder="Phone Number">
                          </div>
                          <div class="form-group col-12">
                              <textarea id="inp-contract-message" name="message" id="" cols="30" rows="4" class="form-control text-white rounded-0 bg-transparent" placeholder="Message"></textarea>
                          </div>
                          <div class="form-group col-12 mb-0">
                              <button id="btn-send-contract" class="btn btn-primary rounded w-md mt-3">Send</button>
                          </div>                          
                      </div>                          
              </div>
          </div>
   
      </div>
      
  <footer >
    <div class="col-12 mt-2 text-center section has-img-bg pb-0">
      <h5 >Contact Us | Hotline: 1900 0081</h5>
    </div>
  </footer>

  </section>


</body>

<script>
  var slideshows = document.querySelectorAll('[data-component="slideshow"]');
  slideshows.forEach(initSlideShow);

  function initSlideShow(slideshow) {

    var slides = document.querySelectorAll(`#${slideshow.id} [role="list"] .slide`);

    var index = 0, time = 3000;
    slides[index].classList.add('active');

    setInterval(() => {
      slides[index].classList.remove('active');

      index++;
      if (index === slides.length) index = 0;

      slides[index].classList.add('active');

    }, time);
  };

  $(document).ready(function () {

    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const token = getCookie("token");

    if (token != "") {
      $("#btn-log-in").hide();
    };
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    onPageLoading();

    $(".to-slideshow-example").click(function () {
      $('html, body').animate({
        scrollTop: $("#slideshow-example").offset().top
      }, 1000);
    });

    $(".to-property-content").click(function () {
      $('html, body').animate({
        scrollTop: $("#property-content").offset().top
      }, 1000);
    });

    $(".to-dp-upside").click(function () {
      $('html, body').animate({
        scrollTop: $("#dp-upside").offset().top
      }, 1000);
    });

    $(".to-contact-us").click(function () {
      $('html, body').animate({
        scrollTop: $("#contact-us").offset().top
      }, 1000);
    });

    $(".to-utility").click(function () {
      $('html, body').animate({
        scrollTop: $("#utility").offset().top
      }, 1000);
    });

    //Set sự kiện cho nút login
    $("#btn-log-in").on("click", function () {
      window.location.href = "../AdminFrontEnd/index.html";
    });

    //Set sự kiện cho nút logout
    $("#btn-log-out").on("click", function () {
      redirectToLogin();
    });
    //quay về index
    $("#home").on("click" , function () {
      window.location.href = "index.html";
    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
      "use strict";
      //tạo đối tượng url để truy vấn tham số 
      var vUrlObject = new URL(window.location.href);
      // đưa tham số customerId sang bằng query string
      var vRealEstateId = vUrlObject.searchParams.get("realEstateId");
      if (vRealEstateId != null) {
        callApiGetRealEstateById(vRealEstateId);
      } else {
        alert("Không có dữ liệu RealEstateId.");
        window.location.href = "index.html";
      }
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

    // Hàm gọi api lấy dữ liệu BĐS bằng Id
    function callApiGetRealEstateById(paramRealEstateId) {
      "use strict";
      $.ajax({
        url: "http://localhost:8080/realEstates/" + paramRealEstateId,
        method: "GET",
        async: false,
        success: function (paramResponseObj) {
          console.log(paramResponseObj);
          loadDataToForm(paramResponseObj);
        },
        error: function (paramError) {
          console.assert(paramError);
        }
      });
    }

    // Hàm load dữ liệu vào form
    function loadDataToForm(paramRealEstate) {
      "use strict";
      $("#detail-inp-project").val(paramRealEstate.project.name);
      $("#detail-inp-customer").val(paramRealEstate.customer.contactName);
      $("#detail-inp-apartCode").val(paramRealEstate.apartCode);
      $("#detail-inp-address").val(paramRealEstate.address);
      $("#detail-inp-province").val(paramRealEstate.project._district.name);
      $("#detail-inp-district").val(paramRealEstate.project._district._province.name);

      $("#detail-inp-acreage").val(paramRealEstate.acreage);
      $("#detail-inp-bedroom").val(paramRealEstate.bedroom);
      $("#detail-inp-bath").val(paramRealEstate.bath);
      $("#detail-inp-price").val(paramRealEstate.price);
      $("#detail-inp-description").val(paramRealEstate.description);
      $("#detail-img-realEstate").attr("src", paramRealEstate.photo);

    }

    function redirectToLogin() {
      // Trước khi logout cần xóa token đã lưu trong cookie
      setCookie("token", "", 1);
      window.location.href = "../AdminFrontEnd/index.html";
    }

    //Hàm get Cookie
    function getCookie(cname) {
      var name = cname + "=";
      var decodedCookie = decodeURIComponent(document.cookie);
      var ca = decodedCookie.split(';');
      for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == ' ') {
          c = c.substring(1);
        }
        if (c.indexOf(name) == 0) {
          return c.substring(name.length, c.length);
        }
      }
      return "";
    }

    //Hàm setCookie đã giới thiệu ở bài trước
    function setCookie(cname, cvalue, exdays) {
      var d = new Date();
      d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
      var expires = "expires=" + d.toUTCString();
      document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
    }

  });

</script>

</html>